WIki plugin crashes my wordpress 3.2.1 site

I installed wiki lite on my Wordpress site version 3.2.1 that uses PlatformPro 1.4.1. Wiki Lite works fairly well, but when I upgraded to the $19.00 version and installed it, it crashes my site. I deleted the lite version and tried to reinstall, and it still crashes my site (HTTP 500 Error) once I activate the paid wiki plugin. I deleted it and got the site up again, but I can't figure out why it's not working. I tried uploading it to the plugins folder again without the wiki lite version and it without activating it still gives me the HTTP 500 Error.